<style scoped="">
.product_router_history{
  padding: 0px 12px;
}
.pr_top_nav{
  height: 60px;
  display: flex;
  align-items: center;
}
.pr_back{
  display: flex;
  align-items: center;
  font-size: 15px;
  font-weight: bold;
}
.left_arrow{
    border-top: 2px solid #000;
    border-left: 2px solid #000;
    width: 8px;
    height: 8px;
    transform: rotate(-45deg);
    margin-right: 4px;
} 
/**/
.pr_row{
  display: flex;
}
.pr_td{
  width: 100%;
  height: 47px;
  display: flex;
  align-items: center;
  border-bottom: 1px solid #F3F3F3;
  font-weight: bold;
  white-space: nowrap;
}
.normal_ft{
  font-weight: normal;
}
.tl{
  text-align: left;
  justify-content: left;
}
.tc{
  text-align: center;
  justify-content: center;
}
.tr{
  text-align: right;
  justify-content: flex-end;
}
</style>
<template>
  <div class="product_router_history">

    <router-link :to="{'name': 'product_router'}" class="pr_top_nav">
      <div class="pr_back">
        <div class="left_arrow"></div>
        <div>返回溯源结果</div>
      </div>
    </router-link>

    <div class="pr_history_table">
      <div class="pr_row">
        <div class="pr_td normal_ft tl ">次数序号</div>
        <div class="pr_td normal_ft tc ">查询时间</div>
        <div class="pr_td normal_ft tr ">查询位置</div>
      </div>

      <div class="pr_row" v-for="item, index in record_config.data" :key="index">
        <div class="pr_td tl">{{ index + 1 }}</div>
        <div class="pr_td tc">{{ item.queryTime }}</div>
        <div class="pr_td tr">{{ item.querySite }}</div>
      </div>
    </div>

  </div>  
</template>
<script type="text/javascript">
import {
  get_consumer_record,
} from '@/service'
export default {
  data () {
    return {
      record_config: {
        on_load: true,
        data: []
      },
    }
  },
  computed: {
    'sku_id' () {
      return this.$route.params.sku_id;
    }
  },
  props: {
    // 'sku_id': {
    //   type: String,
    //   default () {
    //     return ''
    //   }
    // }
  },
  mounted () {
    this.load_record_info();
  },
  methods: {
    async load_record_info () {
      let data = await get_consumer_record({'skuId': this.sku_id});
      this.record_config.data.splice(0, this.record_config.data.length, ...data.data)
    },
  }
}
</script>